Information Protection Policies - List
Information protection policies of a specific management group.
GET https://management.azure.com/{scope}/providers/Microsoft.Security/informationProtectionPolicies?api-version=2017-08-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
scope
|
path | True |
string |
Scope of the query, can be subscription (/subscriptions/0b06d9ea-afe6-4779-bd59-30e5c2d9d13f) or management group (/providers/Microsoft.Management/managementGroups/mgName). |
|
api-version
|
query | True |
string |
API version for the operation |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get information protection policies
Sample request
GET https://management.azure.com/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies?api-version=2017-08-01-preview
Sample response
{
"value": [
{
"id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/effective",
"name": "effective",
"type": "Microsoft.Security/informationProtectionPolicies",
"properties": {
"labels": {
"1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
"displayName": "Public",
"order": 100,
"enabled": true
},
"7aa516c7-5a53-4857-bc6e-6808c6acd542": {
"displayName": "General",
"order": 200,
"enabled": true
},
"575739d2-3d53-4df0-9042-4c7772d5c7b1": {
"displayName": "Confidential",
"order": 300,
"enabled": true
}
},
"informationTypes": {
"7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
"displayName": "Networking",
"order": 100,
"recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
"enabled": true,
"custom": false,
"keywords": [
{
"pattern": "%ip%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "ip%address%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%mac%address%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%networking%",
"custom": true,
"canBeNumeric": true
}
]
},
"5856f35c-8e08-4d08-9bf7-87a146150569": {
"displayName": "Contact Info",
"order": 200,
"recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
"enabled": true,
"custom": false,
"keywords": [
{
"pattern": "%email%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%e-mail%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%addr%",
"custom": false,
"canBeNumeric": false
},
{
"pattern": "%street%",
"custom": false,
"canBeNumeric": true
},
{
"pattern": "%city%",
"custom": false,
"canBeNumeric": false
}
]
},
"3bf35491-99b8-41f2-86d5-c1200a7df658": {
"displayName": "Custom",
"order": 1400,
"recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542",
"enabled": true,
"custom": true,
"keywords": [
{
"pattern": "%networking%",
"custom": true,
"canBeNumeric": false
}
]
}
}
}
},
{
"id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/custom",
"name": "custom",
"type": "Microsoft.Security/informationProtectionPolicies",
"properties": {
"labels": {
"1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
"displayName": "Public",
"order": 100,
"enabled": true
},
"7aa516c7-5a53-4857-bc6e-6808c6acd542": {
"displayName": "General",
"order": 200,
"enabled": true
},
"575739d2-3d53-4df0-9042-4c7772d5c7b1": {
"displayName": "Confidential",
"order": 300,
"enabled": true
}
},
"informationTypes": {
"7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
"displayName": "Networking",
"order": 100,
"recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
"enabled": true,
"custom": false,
"keywords": [
{
"pattern": "%networking%",
"custom": true,
"canBeNumeric": false
}
]
},
"3bf35491-99b8-41f2-86d5-c1200a7df658": {
"displayName": "Custom",
"order": 1400,
"recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542",
"enabled": true,
"custom": true,
"keywords": [
{
"pattern": "%custom%",
"custom": true,
"canBeNumeric": true
}
]
}
}
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Cloud |
The error detail. |
|
Error |
The resource management error additional info. |
|
Information |
The information type keyword. |
|
Information |
Information protection policy. |
|
Information |
Information protection policies response. |
|
Information |
The information type. |
| rank |
The rank of the sensitivity label. |
|
Sensitivity |
The sensitivity label. |
CloudError
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error.additionalInfo |
The error additional info. |
|
| error.code |
string |
The error code. |
| error.details |
The error details. |
|
| error.message |
string |
The error message. |
| error.target |
string |
The error target. |
CloudErrorBody
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
InformationProtectionKeyword
The information type keyword.
| Name | Type | Description |
|---|---|---|
| canBeNumeric |
boolean |
Indicates whether the keyword can be applied on numeric types or not. |
| custom |
boolean |
Indicates whether the keyword is custom or not. |
| excluded |
boolean |
Indicates whether the keyword is excluded or not. |
| pattern |
string |
The keyword pattern. |
InformationProtectionPolicy
Information protection policy.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource Id |
| name |
string |
Resource name |
| properties.informationTypes |
<string,
Information |
The sensitivity information types. |
| properties.labels |
<string,
Sensitivity |
Dictionary of sensitivity labels. |
| properties.lastModifiedUtc |
string (date-time) |
Describes the last UTC time the policy was modified. |
| properties.version |
string |
Describes the version of the policy. |
| type |
string |
Resource type |
InformationProtectionPolicyList
Information protection policies response.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URI to fetch the next page. |
| value |
List of information protection policies. |
InformationType
The information type.
| Name | Type | Description |
|---|---|---|
| custom |
boolean |
Indicates whether the information type is custom or not. |
| description |
string |
The description of the information type. |
| displayName |
string |
The name of the information type. |
| enabled |
boolean |
Indicates whether the information type is enabled or not. |
| keywords |
The information type keywords. |
|
| order |
integer (int32) |
The order of the information type. |
| recommendedLabelId |
string (uuid) |
The recommended label id to be associated with this information type. |
rank
The rank of the sensitivity label.
| Value | Description |
|---|---|
| None | |
| Low | |
| Medium | |
| High | |
| Critical |
SensitivityLabel
The sensitivity label.
| Name | Type | Description |
|---|---|---|
| description |
string |
The description of the sensitivity label. |
| displayName |
string |
The name of the sensitivity label. |
| enabled |
boolean |
Indicates whether the label is enabled or not. |
| order |
integer (int32) |
The order of the sensitivity label. |
| rank |
The rank of the sensitivity label. |